<?php
if (!isset($_SESSION))
{
	session_start();
}
require_once('header.php');
echo "<h1>Lotto beheer</h1>";
if ($aangemeld == "ja")
{
	if ($member_status == "manager")
	{
		if (ISSET($_GET['trek']))
		{
			$aantal_winnaars = 20;
			$aantal = mysql_num_rows(mysql_query("SELECT * FROM lotto"));
			$to_win = round(($aantal*5)/$aantal_winnaars);
			$winnaars = array();
			$winnaar_teller = 0;
			
			echo "Elke winnaar krijgt ".$to_win." Credits.<br><br>";
			
			for ($i = 0; $i <= $aantal_winnaars; $i++)
			{
				$winnaar_id = rand(1, $aantal);
				$winnaar = halen("SELECT naam FROM lotto WHERE id='".$winnaar_id."';");
				
				if(in_array($winnaar, $winnaars))
				{
					$i = $i-1;
				}
				elseif(halen("SELECT functie FROM members WHERE naam = '".$winnaar."'") != "jabbo")
				{
					$i = $i-1;
				}
				else
				{
					echo $winnaar."<br>";
					$winnaars[$winnaar_teller] = $winnaar;
					$winnaar_teller++;
					
					$money_nu_member = halen("SELECT money FROM members WHERE naam = '".$winnaar."'");
					$money_nu_member = $money_nu_member + $to_win;
					mysql_query("UPDATE members SET money = '".$money_nu_member."' WHERE naam = '".$winnaar."'");
				}
			}
			mysql_query("DELETE FROM lotto");
			mysql_query("UPDATE setting SET waarde='1' WHERE id='3';");
			action("trekt de winnaars van de lotto");
		}
		else
		{
			echo "Klik <a href='?trek=ja'>hier</a> om de winnaars uit de kiezen van de lotto.";
		}
	}
}
else
{
	echo "Oeps! Hiervoor moet je aangemeld zijn!";
}
require_once ('footer.php');
?>